package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.LogAuditoria;
import com.rjconsultores.ventaboletos.utilerias.DateUtil;

public class RenderLogAuditoriaExpresos implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        LogAuditoria logAuditoria = (LogAuditoria) o;

        Listcell lc = new Listcell(DateUtil.getStringDate(logAuditoria.getFecmodif(), "dd/MM/yyyy HH:mm"));
        lc.setParent(lstm);
        
        lc = new Listcell(logAuditoria.getIdAuditado() != null ? logAuditoria.getIdAuditado().toString() : "");
        lc.setParent(lstm);

        lc = new Listcell(String.format("%s - %s", logAuditoria.getUsuario().getClaveUsuario(), logAuditoria.getUsuario().getNombusuario()));
        lc.setParent(lstm);
        
        lc = new Listcell(logAuditoria.getTipoAlteracao());
        lc.setParent(lstm);
        
        lc = new Listcell(logAuditoria.getCampoAlterado());
        lc.setParent(lstm);
        
        lc = new Listcell(logAuditoria.getValorNovo());
        lc.setParent(lstm);
        
        lc = new Listcell(logAuditoria.getValorAnterior());
        lc.setParent(lstm);
    	
    	lstm.setAttribute("data", logAuditoria);
    }

}
